/**
 * @file
 * The performance_profiler behavior.
 */

(function (Drupal, $) {
  'use strict';

  var triggered = false;

  Drupal.behaviors.performance_profiler = {
    attach: function (context, settings) {
      'use strict';

      if (!triggered) {
        $.ajax({
          // ToDo make a variable here.
          url: Drupal.url('performance-profiler/ajax/performance-data'),
          type: 'GET',
          data: {
            path: $('#performance-profiler', context).attr('rel')
          },
          success: function (results) {
            if (results) {
              $('#performance-profiler').html(results);
            }
          }
        });

        triggered = true;
      }

      $('#performance-profiler', context).once().click(function (event) {
        $('#performance-profiler-long', context).toggle();
      });
    }
  };

})(Drupal, jQuery);
