/**
 * @file
 * The performance_profiler behavior.
 */

 (function (Drupal, $, drupalSettings) {
    'use strict';
  
    var triggered = false;
  
    Drupal.behaviors.performance_profiler_dynamic = {
      attach: function (context, settings) {
        'use strict';

        if (!triggered) {
          $("<div>", {id: "performance-profiler-dynamic", rel: drupalSettings.performance_profiler.path, content: 'Updating...'}).appendTo('body');
  
          $.ajax({
            // ToDo make a variable here.
            url: Drupal.url('performance-profiler/ajax/performance-data'),
            type: 'GET',
            data: {
              path: drupalSettings.performance_profiler.path
            },
            success: function (results) {
              if (results) {
                $('#performance-profiler-dynamic').html(results);
              }
            }
          });
  
          triggered = true;
        }
  
        $('#performance-profiler', context).once().click(function (event) {
          $('#performance-profiler-long', context).toggle();
        });
      }
    };
  
  })(Drupal, jQuery, drupalSettings);
  