<?php

namespace Drupal\performance_profiler\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\Response;

/**
 * Provides an AjaxPerformanceData API to get performance data.
 */
class AjaxPerformanceData extends ControllerBase {

  /**
   * Ajax callback for main performance data.
   */
  public function get() {
    $uuid = session_id();
    $tempstore = \Drupal::service('tempstore.private')->get("performance_profiler_$uuid");
    $storage = $tempstore->get('storage');
    $tempstore->set('storage', NULL);
    $storage = is_array($storage ?? FALSE) ? $storage : [];
    $path = \Drupal::request()->query->get('path');

    $message = 'No queries to show, check settings';
    if (count($storage)) {
      $main_element = ($storage[$path] ?? FALSE) ? ($storage[$path]['short'] ?? '') : ($storage[array_key_last($storage)]['short'] ?? '');
      $message = '<div id="performance-profiler-short">' . '[' . count($storage) . '] ' . $main_element . '</div>';
    }

    $details = '';
    foreach ($storage as $key => $value) {
      if ($key == $path) {
        $details .= "<div><u>{$value['long']}</u></div>";
      }
      else {
        $details .= "<div>{$value['long']}</div>";
      }
    }

    $markup = [
      '#type' => 'markup',
      '#markup' => $message . "<div id=\"performance-profiler-long\">$details</div>",
    ];

    // Return response.
    return new Response(render($markup));
  }

}
